REM *** 15.10.96 - 16.06.01

@Echo OFF

REM *** Settings fuer EMX
REM     Settings for EMX
SET EMXOPT=-h40 -c -n

REM *** [ folgende Zeilen entsprechend anpassen! ] ***
REM     [ edit following settings according to your configuration ]

REM *** Dateiname von vSoup
REM     Filename of vSoup
SET Soup=vSoup.Exe -hc:\snee\soup
SET StsMail=StsMail.MSG

REM *** Verzeichnis von Soup !OHNE! Backslash am Ende
REM     Directory where vSoup is in !without! trailing blackslash
SET SoupDir=\SNEE\SOUP

SET SneeDir=\SNEE\

SET LoginID=username
SET PassWord=password
SET nntpServer=news.toplink.net
SET pop3Server=mail.privat.toplink.de
SET smtpServer=mail.privat.toplink.de

REM *** [ obige Zeilen entsprechend anpassen! ] ***


SET pop3=pop3://%LoginID%:%Password%@%pop3Server%
SET smtp=smtp://%LoginID%:%Password%@%smtpServer%
SET nntp=nntp://%LoginID%:%Password%@%nntpServer%

SET URLInfo=%nntp% %pop3% %smtp%

REM *** Snee -> SOUP export
%SneeDir%snee2soup.exe

REM *** Eventuell alte vorhande temp-files von vSoup loeschen.
REM     Erase some files if they are present
if Exist %TMP%\soup*.tmp Del %TMP%\soup*.tmp
rem if Exist %ETC%\resolv Del %ETC%\resolv

Cls
REM *** eMails/News abschicken / send emails/news
if Not Exist REPLIES GoTo FetchEMail
SORT32.Exe REPLIES REPLIES 1,28
%Soup% -s -i %URLInfo%

:FetchEMail
REM *** eMails holen / fetch emails
%Soup% -t6 -i -n -S2 %URLInfo%

if Not Exist %StsMail% Goto ImportEmail
  TYPE %StsMail% >> Soup.Log
  DEL %StsMail%

:ImportEmail
REM *** import email if email was fetched
if Exist *.MSG Copy *.MSG email
if not Exist AREAS Goto :FetchNews
  Copy AREAS MyAREAS
Start "Soup2Snee - eMail" /B /C %SneeDir%Soup2Snee.Exe -a:%SoupDir%\MyAREAS

:FetchNews
REM *** News holen /fetch news
%Soup% -C10 -t6 -i -S1 -M -m -a %URLInfo% 
copy *.msg news

REM *** Wenn 1.Parameter hangup, dann iLink killen
REM     if first parmeter is hangup kill (hangup) dialer
if "%1" == "hangup" c:\internet\injoy\killjoy.exe

if not exist %SneeDir%Outgoing\* Goto FirstLabel
  Dir %SneeDir%OutGoing >StillMail
  %SneeDir%MakeMail /A:8 /T:self /S:Still_have_Mail /F:StillMail
  Del StillMail

:FirstLabel
if NOT exist %StsMail% Goto Import
TYPE %StsMail% >> Soup.Log
DEL %StsMail%

MakeAREAS.EXE

:Import
if Not Exist AREAS GoTo Ende

REM *** Import von SOUP nach Snee
REM     Import form SOUP to Snee
Copy AREAS MyAREAS
%SneeDir%Soup2Snee.Exe -a:%SoupDir%\MyAREAS
if "%1" == "hangup" exit

:Ende
